function [codeword] = encode_75_function(info_bits)
%takes in K information bits
%outputs (K+2) info bits (original info bits + 2 terminating bits), and
%(K+2) parity bits

K = length(info_bits);
new_info_bits = [info_bits 0 0];
codeword=zeros(1,2*length(K+2));

temp1 = rem(conv(new_info_bits, [1 1 1]),2);
codeword(2*(1:(K+2)) - 1) = temp1(1:(K+2));
temp2 = rem(conv(new_info_bits, [1 0 1]),2);
codeword(2*(1:(K+2))) = temp2(1:(K+2));

%change to plus/minus one
codeword=-2*codeword+1;
